Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
20a5::/16
First address
20a5::
Last address
20a5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
20a5:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.a.0.2.ip6.arpa
Split into smaller subnets/24

20a5::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
120a5::/2420a5:ff:ffff:ffff:ffff:ffff:ffff:ffff
220a5:100::/2420a5:1ff:ffff:ffff:ffff:ffff:ffff:ffff
320a5:200::/2420a5:2ff:ffff:ffff:ffff:ffff:ffff:ffff
420a5:300::/2420a5:3ff:ffff:ffff:ffff:ffff:ffff:ffff
520a5:400::/2420a5:4ff:ffff:ffff:ffff:ffff:ffff:ffff
620a5:500::/2420a5:5ff:ffff:ffff:ffff:ffff:ffff:ffff
720a5:600::/2420a5:6ff:ffff:ffff:ffff:ffff:ffff:ffff
820a5:700::/2420a5:7ff:ffff:ffff:ffff:ffff:ffff:ffff
920a5:800::/2420a5:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1020a5:900::/2420a5:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1120a5:a00::/2420a5:aff:ffff:ffff:ffff:ffff:ffff:ffff
1220a5:b00::/2420a5:bff:ffff:ffff:ffff:ffff:ffff:ffff
1320a5:c00::/2420a5:cff:ffff:ffff:ffff:ffff:ffff:ffff
1420a5:d00::/2420a5:dff:ffff:ffff:ffff:ffff:ffff:ffff
1520a5:e00::/2420a5:eff:ffff:ffff:ffff:ffff:ffff:ffff
1620a5:f00::/2420a5:fff:ffff:ffff:ffff:ffff:ffff:ffff
1720a5:1000::/2420a5:10ff:ffff:ffff:ffff:ffff:ffff:ffff
1820a5:1100::/2420a5:11ff:ffff:ffff:ffff:ffff:ffff:ffff
1920a5:1200::/2420a5:12ff:ffff:ffff:ffff:ffff:ffff:ffff
2020a5:1300::/2420a5:13ff:ffff:ffff:ffff:ffff:ffff:ffff
2120a5:1400::/2420a5:14ff:ffff:ffff:ffff:ffff:ffff:ffff
2220a5:1500::/2420a5:15ff:ffff:ffff:ffff:ffff:ffff:ffff
2320a5:1600::/2420a5:16ff:ffff:ffff:ffff:ffff:ffff:ffff
2420a5:1700::/2420a5:17ff:ffff:ffff:ffff:ffff:ffff:ffff
2520a5:1800::/2420a5:18ff:ffff:ffff:ffff:ffff:ffff:ffff
2620a5:1900::/2420a5:19ff:ffff:ffff:ffff:ffff:ffff:ffff
2720a5:1a00::/2420a5:1aff:ffff:ffff:ffff:ffff:ffff:ffff
2820a5:1b00::/2420a5:1bff:ffff:ffff:ffff:ffff:ffff:ffff
2920a5:1c00::/2420a5:1cff:ffff:ffff:ffff:ffff:ffff:ffff
3020a5:1d00::/2420a5:1dff:ffff:ffff:ffff:ffff:ffff:ffff
3120a5:1e00::/2420a5:1eff:ffff:ffff:ffff:ffff:ffff:ffff
3220a5:1f00::/2420a5:1fff:ffff:ffff:ffff:ffff:ffff:ffff
3320a5:2000::/2420a5:20ff:ffff:ffff:ffff:ffff:ffff:ffff
3420a5:2100::/2420a5:21ff:ffff:ffff:ffff:ffff:ffff:ffff
3520a5:2200::/2420a5:22ff:ffff:ffff:ffff:ffff:ffff:ffff
3620a5:2300::/2420a5:23ff:ffff:ffff:ffff:ffff:ffff:ffff
3720a5:2400::/2420a5:24ff:ffff:ffff:ffff:ffff:ffff:ffff
3820a5:2500::/2420a5:25ff:ffff:ffff:ffff:ffff:ffff:ffff
3920a5:2600::/2420a5:26ff:ffff:ffff:ffff:ffff:ffff:ffff
4020a5:2700::/2420a5:27ff:ffff:ffff:ffff:ffff:ffff:ffff
4120a5:2800::/2420a5:28ff:ffff:ffff:ffff:ffff:ffff:ffff
4220a5:2900::/2420a5:29ff:ffff:ffff:ffff:ffff:ffff:ffff
4320a5:2a00::/2420a5:2aff:ffff:ffff:ffff:ffff:ffff:ffff
4420a5:2b00::/2420a5:2bff:ffff:ffff:ffff:ffff:ffff:ffff
4520a5:2c00::/2420a5:2cff:ffff:ffff:ffff:ffff:ffff:ffff
4620a5:2d00::/2420a5:2dff:ffff:ffff:ffff:ffff:ffff:ffff
4720a5:2e00::/2420a5:2eff:ffff:ffff:ffff:ffff:ffff:ffff
4820a5:2f00::/2420a5:2fff:ffff:ffff:ffff:ffff:ffff:ffff
4920a5:3000::/2420a5:30ff:ffff:ffff:ffff:ffff:ffff:ffff
5020a5:3100::/2420a5:31ff:ffff:ffff:ffff:ffff:ffff:ffff
5120a5:3200::/2420a5:32ff:ffff:ffff:ffff:ffff:ffff:ffff
5220a5:3300::/2420a5:33ff:ffff:ffff:ffff:ffff:ffff:ffff
5320a5:3400::/2420a5:34ff:ffff:ffff:ffff:ffff:ffff:ffff
5420a5:3500::/2420a5:35ff:ffff:ffff:ffff:ffff:ffff:ffff
5520a5:3600::/2420a5:36ff:ffff:ffff:ffff:ffff:ffff:ffff
5620a5:3700::/2420a5:37ff:ffff:ffff:ffff:ffff:ffff:ffff
5720a5:3800::/2420a5:38ff:ffff:ffff:ffff:ffff:ffff:ffff
5820a5:3900::/2420a5:39ff:ffff:ffff:ffff:ffff:ffff:ffff
5920a5:3a00::/2420a5:3aff:ffff:ffff:ffff:ffff:ffff:ffff
6020a5:3b00::/2420a5:3bff:ffff:ffff:ffff:ffff:ffff:ffff
6120a5:3c00::/2420a5:3cff:ffff:ffff:ffff:ffff:ffff:ffff
6220a5:3d00::/2420a5:3dff:ffff:ffff:ffff:ffff:ffff:ffff
6320a5:3e00::/2420a5:3eff:ffff:ffff:ffff:ffff:ffff:ffff
6420a5:3f00::/2420a5:3fff:ffff:ffff:ffff:ffff:ffff:ffff
6520a5:4000::/2420a5:40ff:ffff:ffff:ffff:ffff:ffff:ffff
6620a5:4100::/2420a5:41ff:ffff:ffff:ffff:ffff:ffff:ffff
6720a5:4200::/2420a5:42ff:ffff:ffff:ffff:ffff:ffff:ffff
6820a5:4300::/2420a5:43ff:ffff:ffff:ffff:ffff:ffff:ffff
6920a5:4400::/2420a5:44ff:ffff:ffff:ffff:ffff:ffff:ffff
7020a5:4500::/2420a5:45ff:ffff:ffff:ffff:ffff:ffff:ffff
7120a5:4600::/2420a5:46ff:ffff:ffff:ffff:ffff:ffff:ffff
7220a5:4700::/2420a5:47ff:ffff:ffff:ffff:ffff:ffff:ffff
7320a5:4800::/2420a5:48ff:ffff:ffff:ffff:ffff:ffff:ffff
7420a5:4900::/2420a5:49ff:ffff:ffff:ffff:ffff:ffff:ffff
7520a5:4a00::/2420a5:4aff:ffff:ffff:ffff:ffff:ffff:ffff
7620a5:4b00::/2420a5:4bff:ffff:ffff:ffff:ffff:ffff:ffff
7720a5:4c00::/2420a5:4cff:ffff:ffff:ffff:ffff:ffff:ffff
7820a5:4d00::/2420a5:4dff:ffff:ffff:ffff:ffff:ffff:ffff
7920a5:4e00::/2420a5:4eff:ffff:ffff:ffff:ffff:ffff:ffff
8020a5:4f00::/2420a5:4fff:ffff:ffff:ffff:ffff:ffff:ffff
8120a5:5000::/2420a5:50ff:ffff:ffff:ffff:ffff:ffff:ffff
8220a5:5100::/2420a5:51ff:ffff:ffff:ffff:ffff:ffff:ffff
8320a5:5200::/2420a5:52ff:ffff:ffff:ffff:ffff:ffff:ffff
8420a5:5300::/2420a5:53ff:ffff:ffff:ffff:ffff:ffff:ffff
8520a5:5400::/2420a5:54ff:ffff:ffff:ffff:ffff:ffff:ffff
8620a5:5500::/2420a5:55ff:ffff:ffff:ffff:ffff:ffff:ffff
8720a5:5600::/2420a5:56ff:ffff:ffff:ffff:ffff:ffff:ffff
8820a5:5700::/2420a5:57ff:ffff:ffff:ffff:ffff:ffff:ffff
8920a5:5800::/2420a5:58ff:ffff:ffff:ffff:ffff:ffff:ffff
9020a5:5900::/2420a5:59ff:ffff:ffff:ffff:ffff:ffff:ffff
9120a5:5a00::/2420a5:5aff:ffff:ffff:ffff:ffff:ffff:ffff
9220a5:5b00::/2420a5:5bff:ffff:ffff:ffff:ffff:ffff:ffff
9320a5:5c00::/2420a5:5cff:ffff:ffff:ffff:ffff:ffff:ffff
9420a5:5d00::/2420a5:5dff:ffff:ffff:ffff:ffff:ffff:ffff
9520a5:5e00::/2420a5:5eff:ffff:ffff:ffff:ffff:ffff:ffff
9620a5:5f00::/2420a5:5fff:ffff:ffff:ffff:ffff:ffff:ffff
9720a5:6000::/2420a5:60ff:ffff:ffff:ffff:ffff:ffff:ffff
9820a5:6100::/2420a5:61ff:ffff:ffff:ffff:ffff:ffff:ffff
9920a5:6200::/2420a5:62ff:ffff:ffff:ffff:ffff:ffff:ffff
10020a5:6300::/2420a5:63ff:ffff:ffff:ffff:ffff:ffff:ffff
10120a5:6400::/2420a5:64ff:ffff:ffff:ffff:ffff:ffff:ffff
10220a5:6500::/2420a5:65ff:ffff:ffff:ffff:ffff:ffff:ffff
10320a5:6600::/2420a5:66ff:ffff:ffff:ffff:ffff:ffff:ffff
10420a5:6700::/2420a5:67ff:ffff:ffff:ffff:ffff:ffff:ffff
10520a5:6800::/2420a5:68ff:ffff:ffff:ffff:ffff:ffff:ffff
10620a5:6900::/2420a5:69ff:ffff:ffff:ffff:ffff:ffff:ffff
10720a5:6a00::/2420a5:6aff:ffff:ffff:ffff:ffff:ffff:ffff
10820a5:6b00::/2420a5:6bff:ffff:ffff:ffff:ffff:ffff:ffff
10920a5:6c00::/2420a5:6cff:ffff:ffff:ffff:ffff:ffff:ffff
11020a5:6d00::/2420a5:6dff:ffff:ffff:ffff:ffff:ffff:ffff
11120a5:6e00::/2420a5:6eff:ffff:ffff:ffff:ffff:ffff:ffff
11220a5:6f00::/2420a5:6fff:ffff:ffff:ffff:ffff:ffff:ffff
11320a5:7000::/2420a5:70ff:ffff:ffff:ffff:ffff:ffff:ffff
11420a5:7100::/2420a5:71ff:ffff:ffff:ffff:ffff:ffff:ffff
11520a5:7200::/2420a5:72ff:ffff:ffff:ffff:ffff:ffff:ffff
11620a5:7300::/2420a5:73ff:ffff:ffff:ffff:ffff:ffff:ffff
11720a5:7400::/2420a5:74ff:ffff:ffff:ffff:ffff:ffff:ffff
11820a5:7500::/2420a5:75ff:ffff:ffff:ffff:ffff:ffff:ffff
11920a5:7600::/2420a5:76ff:ffff:ffff:ffff:ffff:ffff:ffff
12020a5:7700::/2420a5:77ff:ffff:ffff:ffff:ffff:ffff:ffff
12120a5:7800::/2420a5:78ff:ffff:ffff:ffff:ffff:ffff:ffff
12220a5:7900::/2420a5:79ff:ffff:ffff:ffff:ffff:ffff:ffff
12320a5:7a00::/2420a5:7aff:ffff:ffff:ffff:ffff:ffff:ffff
12420a5:7b00::/2420a5:7bff:ffff:ffff:ffff:ffff:ffff:ffff
12520a5:7c00::/2420a5:7cff:ffff:ffff:ffff:ffff:ffff:ffff
12620a5:7d00::/2420a5:7dff:ffff:ffff:ffff:ffff:ffff:ffff
12720a5:7e00::/2420a5:7eff:ffff:ffff:ffff:ffff:ffff:ffff
12820a5:7f00::/2420a5:7fff:ffff:ffff:ffff:ffff:ffff:ffff
12920a5:8000::/2420a5:80ff:ffff:ffff:ffff:ffff:ffff:ffff
13020a5:8100::/2420a5:81ff:ffff:ffff:ffff:ffff:ffff:ffff
13120a5:8200::/2420a5:82ff:ffff:ffff:ffff:ffff:ffff:ffff
13220a5:8300::/2420a5:83ff:ffff:ffff:ffff:ffff:ffff:ffff
13320a5:8400::/2420a5:84ff:ffff:ffff:ffff:ffff:ffff:ffff
13420a5:8500::/2420a5:85ff:ffff:ffff:ffff:ffff:ffff:ffff
13520a5:8600::/2420a5:86ff:ffff:ffff:ffff:ffff:ffff:ffff
13620a5:8700::/2420a5:87ff:ffff:ffff:ffff:ffff:ffff:ffff
13720a5:8800::/2420a5:88ff:ffff:ffff:ffff:ffff:ffff:ffff
13820a5:8900::/2420a5:89ff:ffff:ffff:ffff:ffff:ffff:ffff
13920a5:8a00::/2420a5:8aff:ffff:ffff:ffff:ffff:ffff:ffff
14020a5:8b00::/2420a5:8bff:ffff:ffff:ffff:ffff:ffff:ffff
14120a5:8c00::/2420a5:8cff:ffff:ffff:ffff:ffff:ffff:ffff
14220a5:8d00::/2420a5:8dff:ffff:ffff:ffff:ffff:ffff:ffff
14320a5:8e00::/2420a5:8eff:ffff:ffff:ffff:ffff:ffff:ffff
14420a5:8f00::/2420a5:8fff:ffff:ffff:ffff:ffff:ffff:ffff
14520a5:9000::/2420a5:90ff:ffff:ffff:ffff:ffff:ffff:ffff
14620a5:9100::/2420a5:91ff:ffff:ffff:ffff:ffff:ffff:ffff
14720a5:9200::/2420a5:92ff:ffff:ffff:ffff:ffff:ffff:ffff
14820a5:9300::/2420a5:93ff:ffff:ffff:ffff:ffff:ffff:ffff
14920a5:9400::/2420a5:94ff:ffff:ffff:ffff:ffff:ffff:ffff
15020a5:9500::/2420a5:95ff:ffff:ffff:ffff:ffff:ffff:ffff
15120a5:9600::/2420a5:96ff:ffff:ffff:ffff:ffff:ffff:ffff
15220a5:9700::/2420a5:97ff:ffff:ffff:ffff:ffff:ffff:ffff
15320a5:9800::/2420a5:98ff:ffff:ffff:ffff:ffff:ffff:ffff
15420a5:9900::/2420a5:99ff:ffff:ffff:ffff:ffff:ffff:ffff
15520a5:9a00::/2420a5:9aff:ffff:ffff:ffff:ffff:ffff:ffff
15620a5:9b00::/2420a5:9bff:ffff:ffff:ffff:ffff:ffff:ffff
15720a5:9c00::/2420a5:9cff:ffff:ffff:ffff:ffff:ffff:ffff
15820a5:9d00::/2420a5:9dff:ffff:ffff:ffff:ffff:ffff:ffff
15920a5:9e00::/2420a5:9eff:ffff:ffff:ffff:ffff:ffff:ffff
16020a5:9f00::/2420a5:9fff:ffff:ffff:ffff:ffff:ffff:ffff
16120a5:a000::/2420a5:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
16220a5:a100::/2420a5:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
16320a5:a200::/2420a5:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
16420a5:a300::/2420a5:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
16520a5:a400::/2420a5:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
16620a5:a500::/2420a5:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
16720a5:a600::/2420a5:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
16820a5:a700::/2420a5:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
16920a5:a800::/2420a5:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
17020a5:a900::/2420a5:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
17120a5:aa00::/2420a5:aaff:ffff:ffff:ffff:ffff:ffff:ffff
17220a5:ab00::/2420a5:abff:ffff:ffff:ffff:ffff:ffff:ffff
17320a5:ac00::/2420a5:acff:ffff:ffff:ffff:ffff:ffff:ffff
17420a5:ad00::/2420a5:adff:ffff:ffff:ffff:ffff:ffff:ffff
17520a5:ae00::/2420a5:aeff:ffff:ffff:ffff:ffff:ffff:ffff
17620a5:af00::/2420a5:afff:ffff:ffff:ffff:ffff:ffff:ffff
17720a5:b000::/2420a5:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
17820a5:b100::/2420a5:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
17920a5:b200::/2420a5:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
18020a5:b300::/2420a5:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
18120a5:b400::/2420a5:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
18220a5:b500::/2420a5:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
18320a5:b600::/2420a5:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
18420a5:b700::/2420a5:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
18520a5:b800::/2420a5:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
18620a5:b900::/2420a5:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
18720a5:ba00::/2420a5:baff:ffff:ffff:ffff:ffff:ffff:ffff
18820a5:bb00::/2420a5:bbff:ffff:ffff:ffff:ffff:ffff:ffff
18920a5:bc00::/2420a5:bcff:ffff:ffff:ffff:ffff:ffff:ffff
19020a5:bd00::/2420a5:bdff:ffff:ffff:ffff:ffff:ffff:ffff
19120a5:be00::/2420a5:beff:ffff:ffff:ffff:ffff:ffff:ffff
19220a5:bf00::/2420a5:bfff:ffff:ffff:ffff:ffff:ffff:ffff
19320a5:c000::/2420a5:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
19420a5:c100::/2420a5:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
19520a5:c200::/2420a5:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
19620a5:c300::/2420a5:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
19720a5:c400::/2420a5:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
19820a5:c500::/2420a5:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
19920a5:c600::/2420a5:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
20020a5:c700::/2420a5:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
20120a5:c800::/2420a5:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
20220a5:c900::/2420a5:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
20320a5:ca00::/2420a5:caff:ffff:ffff:ffff:ffff:ffff:ffff
20420a5:cb00::/2420a5:cbff:ffff:ffff:ffff:ffff:ffff:ffff
20520a5:cc00::/2420a5:ccff:ffff:ffff:ffff:ffff:ffff:ffff
20620a5:cd00::/2420a5:cdff:ffff:ffff:ffff:ffff:ffff:ffff
20720a5:ce00::/2420a5:ceff:ffff:ffff:ffff:ffff:ffff:ffff
20820a5:cf00::/2420a5:cfff:ffff:ffff:ffff:ffff:ffff:ffff
20920a5:d000::/2420a5:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
21020a5:d100::/2420a5:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
21120a5:d200::/2420a5:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
21220a5:d300::/2420a5:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
21320a5:d400::/2420a5:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
21420a5:d500::/2420a5:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
21520a5:d600::/2420a5:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
21620a5:d700::/2420a5:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
21720a5:d800::/2420a5:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
21820a5:d900::/2420a5:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
21920a5:da00::/2420a5:daff:ffff:ffff:ffff:ffff:ffff:ffff
22020a5:db00::/2420a5:dbff:ffff:ffff:ffff:ffff:ffff:ffff
22120a5:dc00::/2420a5:dcff:ffff:ffff:ffff:ffff:ffff:ffff
22220a5:dd00::/2420a5:ddff:ffff:ffff:ffff:ffff:ffff:ffff
22320a5:de00::/2420a5:deff:ffff:ffff:ffff:ffff:ffff:ffff
22420a5:df00::/2420a5:dfff:ffff:ffff:ffff:ffff:ffff:ffff
22520a5:e000::/2420a5:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
22620a5:e100::/2420a5:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
22720a5:e200::/2420a5:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
22820a5:e300::/2420a5:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
22920a5:e400::/2420a5:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
23020a5:e500::/2420a5:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
23120a5:e600::/2420a5:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
23220a5:e700::/2420a5:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
23320a5:e800::/2420a5:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
23420a5:e900::/2420a5:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
23520a5:ea00::/2420a5:eaff:ffff:ffff:ffff:ffff:ffff:ffff
23620a5:eb00::/2420a5:ebff:ffff:ffff:ffff:ffff:ffff:ffff
23720a5:ec00::/2420a5:ecff:ffff:ffff:ffff:ffff:ffff:ffff
23820a5:ed00::/2420a5:edff:ffff:ffff:ffff:ffff:ffff:ffff
23920a5:ee00::/2420a5:eeff:ffff:ffff:ffff:ffff:ffff:ffff
24020a5:ef00::/2420a5:efff:ffff:ffff:ffff:ffff:ffff:ffff
24120a5:f000::/2420a5:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
24220a5:f100::/2420a5:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
24320a5:f200::/2420a5:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
24420a5:f300::/2420a5:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
24520a5:f400::/2420a5:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
24620a5:f500::/2420a5:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
24720a5:f600::/2420a5:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
24820a5:f700::/2420a5:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
24920a5:f800::/2420a5:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
25020a5:f900::/2420a5:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
25120a5:fa00::/2420a5:faff:ffff:ffff:ffff:ffff:ffff:ffff
25220a5:fb00::/2420a5:fbff:ffff:ffff:ffff:ffff:ffff:ffff
25320a5:fc00::/2420a5:fcff:ffff:ffff:ffff:ffff:ffff:ffff
25420a5:fd00::/2420a5:fdff:ffff:ffff:ffff:ffff:ffff:ffff
25520a5:fe00::/2420a5:feff:ffff:ffff:ffff:ffff:ffff:ffff
25620a5:ff00::/2420a5:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses